Bug 563799 - qemuMonitorTextGetBlockStatsInfo: invalid argument in no stats found
qemuMonitorTextGetBlockStatsInfo: invalid argument in no stats found
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-11 02:43 EST by Ilkka Tengvall
Modified: 2010-05-18 12:56 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 12:56:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilkka Tengvall 2010-02-11 02:43:11 EST
Description of problem:

log get's trashed with this:
Feb 11 09:28:52 whipper libvirtd: 09:28:52.716: error : qemuMonitorTextGetBlockStatsInfo:698 : invalid argument in no stats found for device ide0-0-0
Feb 11 09:28:52 whipper libvirtd: 09:28:52.718: error : qemuMonitorTextGetBlockStatsInfo:698 : invalid argument in no stats found for device virtio-disk0


Version-Release number of selected component (if applicable):
libvirt-0.7.6-1.fc12.x86_64

How reproducible:

Happens continuously after starting virtual machine, and across host boots.

Steps to Reproduce:
1. upgrade virt packages from rawvirt -repo to above versions
2. virsh start guest
3. start virt-manager
  
Actual results:
continuous syslogs of this in 3 seconds interval, which is the same as in virt-manager stats interval:

Feb 11 09:28:58 whipper libvirtd: 09:28:58.718: error : 
qemuMonitorTextGetBlockStatsInfo:698 : invalid argument in no stats found for device ide0-0-0
Feb 11 09:28:58 whipper libvirtd: 09:28:58.721: error : qemuMonitorTextGetBlockStatsInfo:698 : invalid argument in no stats found for device virtio-disk0



Expected results:
quiet logs.

Additional info:

versions
--------------------------------------
$ rpm -qa '*kvm*' '*libvirt*' '*qemu*' '*virt*'
qemu-kvm-0.12.2-6.fc12.x86_64
qemu-img-0.12.2-6.fc12.x86_64
virt-viewer-0.2.1-1.fc12.x86_64
python-virtinst-0.500.2-1.fc12.noarch
libvirt-0.7.6-1.fc12.x86_64
etherboot-zroms-kvm-5.4.4-17.fc12.noarch
libvirt-client-0.7.6-1.fc12.x86_64
etherboot-roms-kvm-5.4.4-17.fc12.noarch
qemu-common-0.12.2-6.fc12.x86_64
virt-manager-0.8.3-1.fc12.noarch
libvirt-python-0.7.6-1.fc12.x86_64
gpxe-roms-qemu-1.0.0-1.fc12.noarch
qemu-system-x86-0.12.2-6.fc12.x86_64
--------------------------------------
F12 with kernel  2.6.31.12-174.2.3.fc12.x86_64
Comment 1 Ilkka Tengvall 2010-02-11 03:01:37 EST
these are the disk definitions it complains about:


  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <source file='/home/vmware/Virtual Machines/vmeasyfp/vmeasyfp.vmdk'/>
      <target dev='hda' bus='ide'/>
    </disk>
    <disk type='block' device='disk'>
      <driver name='qemu' type='raw'/>
      <source dev='/dev/VB_Whipper/LV_Virtual_Home'/>
      <target dev='vda' bus='virtio'/>
    </disk>
  </devices>
Comment 3 Bug Zapper 2010-03-15 10:29:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Cole Robinson 2010-05-18 12:56:35 EDT
This is already fixed in F13 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.